> ## Documentation Index
> Fetch the complete documentation index at: https://docs.rhino.fi/llms.txt
> Use this file to discover all available pages before exploring further.

# Obtain the status of a specific bridge transaction by withdrawal hash

> This endpoint provides the status of a bridge transaction as created through the `POST /quote/user` or `POST /quote/bridge-swap/user` endpoints based on a given withdrawal transaction hash. For status information for Smart Deposit Address transactions, the `GET /sda/deposit-addresses/{depositAddress}/{depositChain}` endpoint should be used.



## OpenAPI

````yaml https://api.rhino.fi/bridge/swagger.json get /history/bridge/by-withdraw-hash/{withdrawTxHash}
openapi: 3.1.0
info:
  title: Bridge API
  version: 0.0.1
  description: Functionality for interacting with Rhino bridge service
servers:
  - url: https://api.rhino.fi/bridge
security: []
tags:
  - name: quote
  - name: configs
  - name: history
  - name: swap
  - name: depositAddresses
paths:
  /history/bridge/by-withdraw-hash/{withdrawTxHash}:
    get:
      tags:
        - history
      summary: Obtain the status of a specific bridge transaction by withdrawal hash
      description: >-
        This endpoint provides the status of a bridge transaction as created
        through the `POST /quote/user` or `POST /quote/bridge-swap/user`
        endpoints based on a given withdrawal transaction hash. For status
        information for Smart Deposit Address transactions, the `GET
        /sda/deposit-addresses/{depositAddress}/{depositChain}` endpoint should
        be used.
      operationId: history.bridgeHistoryByWithdrawHash
      parameters:
        - name: withdrawTxHash
          in: path
          schema:
            type: string
            description: >-
              The transaction hash of a withdrawal for a bridge transaction,
              e.g.
              "0x5c504ed432cb51138bcf09aa5e8a410dd4a1e204ef84bfed1be16dfba1b22060".
          required: true
          description: >-
            The transaction hash of a withdrawal for a bridge transaction, e.g.
            "0x5c504ed432cb51138bcf09aa5e8a410dd4a1e204ef84bfed1be16dfba1b22060".
      responses:
        '200':
          description: BridgeExecuted
          content:
            application/json:
              schema:
                anyOf:
                  - type: object
                    required:
                      - _id
                      - userId
                      - chainIn
                      - chainOut
                      - amountIn
                      - amountInUsd
                      - amountOut
                      - amountOutUsd
                      - amountNative
                      - amountNativeUsd
                      - fee
                      - feeUsd
                      - gasFee
                      - gasFeeUsd
                      - platformFee
                      - platformFeeUsd
                      - percentageFee
                      - percentageFeeUsd
                      - sourceGasFee
                      - sourceGasFeeUsd
                      - sponsoredFees
                      - recipient
                      - depositor
                      - createdAt
                      - commitmentDate
                      - token
                      - usdPrice
                      - depositTxHash
                      - depositCommittedAt
                      - withdrawTxHash
                      - withdrawCommittedAt
                      - state
                    properties:
                      _id:
                        type: string
                      userId:
                        type: string
                        description: The projectID that the transaction is associated with.
                      chainIn:
                        type: string
                        description: The blockchain that the tokens were bridged from.
                      chainOut:
                        type: string
                        description: The blockchain that the tokens were bridged to.
                      amountIn:
                        type: string
                        description: >-
                          The native value of the tokens that were sent on the
                          chainIn.
                      amountInUsd:
                        type: number
                        description: >-
                          The USD value of the tokens that were sent on the
                          chainIn.
                      amountOut:
                        type: string
                        description: >-
                          The native value of the tokens that were sent on the
                          chainOut.
                      amountOutUsd:
                        type: number
                        description: >-
                          The USD value of the tokens that were sent on the
                          chainOut.
                      amountNative:
                        anyOf:
                          - $ref: '#/components/schemas/BigDecimalFromString'
                          - type: 'null'
                        description: >-
                          The amount of native gas token (e.g. ETH, MATIC, BNB)
                          that was delivered to the user's wallet on the
                          destination chain as part of gas boost functionality,
                          where Rhino.fi delivers a small amount of native gas
                          token to the destination address, ensuring that
                          further transactions from this address can be made
                          immediately.
                      amountNativeUsd:
                        anyOf:
                          - $ref: '#/components/schemas/BigDecimalFromNumber'
                          - type: 'null'
                        description: The value, in USD, of amountNative.
                      fee:
                        type: string
                        description: >-
                          The total cost of the transaction as paid by the end
                          customer, denominated in the token.
                      feeUsd:
                        type: number
                        description: The total cost, in USD, of the transaction.
                      gasFee:
                        type: string
                        description: >-
                          Any chain specific costs charged to the end customer
                          for the chainOut part of the overall transaction.
                          Further information about which chains have these
                          associated costs can be found here:
                          https://learn.rhino.fi/articles/7749894324-tron-and-solana-onchain-gas-costs.
                          If these costs are being paid by the client then this
                          value will be zero and the gasFee and gasFeeUsd in the
                          sponsored fee body will be non-zero.
                      gasFeeUsd:
                        type: number
                        description: The gasFee value, in USD.
                      platformFee:
                        type: string
                        description: >-
                          The resulting fee charged from the $-based Client
                          Surcharge. This is applicable to both legacy and
                          PAYG/Subscription clients. For legacy clients this is
                          deducted from the tokens sent on the chainOut and will
                          be sent to the client at month end. For
                          PAYG/Subscription clients this will be rebated at
                          month end.
                      platformFeeUsd:
                        type: number
                        description: The platformFee value, in USD.
                      percentageFee:
                        type: string
                        description: >-
                          The resulting fee charged from the %-based Client
                          Surcharge. This is applicable to both legacy and
                          PAYG/Subscription clients. For legacy clients this is
                          deducted from the tokens sent on the chainOut and will
                          be sent to the client at month end. For
                          PAYG/Subscription clients this will be rebated at
                          month end.
                      percentageFeeUsd:
                        type: number
                        description: The percentageFee value, in USD.
                      sourceGasFee:
                        type: string
                        description: >-
                          The cost on the chainIn to sweep the received tokens
                          into Rhino.fi's control. For legacy clients this is
                          deducted from the tokens sent on the chainOut. For
                          PAYG/Subscription tier clients this is paid by
                          Rhino.fi as part of the PAYG/Subscription monthly cost
                          so no direct cost is passed onto the end customer,
                          unless configured this way. This is only relevant for
                          transactions involving a Rhino.fi Smart Deposit
                          Address; for bridging/swapping-only activity the
                          sourceGasFee will be paid directly by the customer
                          within their depositing transaction.
                      sourceGasFeeUsd:
                        type: number
                        description: The sourceGasFee value, in USD.
                      sponsoredFees:
                        type: object
                        required:
                          - fee
                          - feeUsd
                          - gasFee
                          - gasFeeUsd
                          - platformFee
                          - platformFeeUsd
                          - percentageFee
                          - percentageFeeUsd
                          - sourceGasFee
                          - sourceGasFeeUsd
                        properties:
                          fee:
                            type: string
                            description: The total cost of the transaction.
                          feeUsd:
                            type: number
                            description: The total cost of the transaction, in USD.
                          gasFee:
                            type: string
                            description: >-
                              Any chain specific costs charged to the client for
                              the chainOut part of the overall transaction.
                              Further information about which chains have these
                              associated costs can be found here:
                              https://learn.rhino.fi/articles/7749894324-tron-and-solana-onchain-gas-costs.
                              If these costs are being passed on to the end user
                              then this value will be zero and the gasFee and
                              gasFeeUsd in the main fee body will be non-zero.
                          gasFeeUsd:
                            type: number
                            description: The gasFee value, in USD.
                          platformFee:
                            type: string
                            description: >-
                              The value of any additional fee levied on top by
                              Rhino.fi and paid by the client. This is only
                              relevant for legacy clients.
                          platformFeeUsd:
                            type: number
                            description: The platformFee value, in USD.
                          percentageFee:
                            type: string
                            description: >-
                              Will be zero since this represents a charge levied
                              on the end customer by the client. To understand
                              the value charged to the end customer, the
                              percentageFee value from the main fee body should
                              be used. N.B. for PAYG/Subscription clients this
                              is now referred to as the "Client Surcharge".
                          percentageFeeUsd:
                            type: number
                            description: The percentageFee value, in USD.
                          sourceGasFee:
                            type: string
                            description: >-
                              The cost on the chainIn to sweep the received
                              tokens into Rhino.fi's control. For legacy clients
                              this is deducted from the tokens sent on the
                              chainOut. For PAYG/Subscription tier clients this
                              is paid by Rhino.fi as part of the
                              PAYG/Subscription monthly cost so no direct cost
                              is passed onto the client, unless configured to be
                              passed onto the end customer. This is only
                              relevant for transactions involving a Rhino.fi
                              Smart Deposit Address; for bridging/swapping-only
                              activity the sourceGasFee will be paid directly by
                              the customer within their depositing transaction.
                          sourceGasFeeUsd:
                            type: number
                            description: The sourceGasFee value, in USD.
                        additionalProperties: false
                        description: >-
                          For both legacy and PAYG/Subscription clients,
                          represents the fees that are paid by the client on
                          behalf of the end customer.
                      recipient:
                        type: string
                        description: >-
                          The address on the chainOut that received the bridged
                          tokens.
                      depositor:
                        type: string
                        description: >-
                          The address on the chainIn that sent the tokens for
                          bridging.
                      createdAt:
                        type: string
                        description: >-
                          The datetime that the bridging / bridging+swapping
                          quote was created.
                      commitmentDate:
                        type: string
                        description: >-
                          The datetime that the bridging / bridging+swapping
                          quote was committed with Rhino.fi.
                      speed:
                        type: string
                        enum:
                          - fast
                          - standard
                          - slow
                        description: >-
                          Provides information about whether the transaction is
                          expected to be completed "fast" (typically under 30
                          seconds), "standard" (typically under a minute) or
                          "slow" (can be up to 20 minutes). For more information
                          on our bridge processing speeds please read this
                          article on the Rhino.fi Knowledge Base:
                          https://learn.rhino.fi/articles/8257872655-bridge-speed.
                      estimatedDuration:
                        type: number
                        description: >-
                          The estimated time for the transaction to complete in
                          milliseconds.
                        title: nonNegative
                        minimum: 0
                      postBridgeData:
                        anyOf:
                          - $ref: '#/components/schemas/ExtendedPostBridgeData'
                          - $ref: >-
                              #/components/schemas/StarkwareBtcfiCampaignPostBridgeData
                          - $ref: '#/components/schemas/WirexWrapPostBridgeData'
                          - $ref: >-
                              #/components/schemas/WirexWrapSandboxPostBridgeData
                          - $ref: >-
                              #/components/schemas/StarkwareBtcfiCampaignV2PostBridgeData
                          - $ref: '#/components/schemas/AaveV3SupplyPostBridgeData'
                          - $ref: >-
                              #/components/schemas/RocketFoundationDepositPostBridgeData
                          - $ref: '#/components/schemas/MapleDepositPostBridgeData'
                          - $ref: '#/components/schemas/EtherfiDepositPostBridgeData'
                        description: >-
                          Custom Routing Rules as configured by Rhino.fi for a
                          specific client, e.g. to move funds after the initial
                          bridge into a yield bearing vault. To understand more
                          about how Routing Rules can help automate onchain
                          actions and ensure that your funds land in an active
                          state, please contact your Rhino.fi Customer Success
                          Manager or speak to a member of the Rhino.fi sales
                          team.
                      flowCredits:
                        type: number
                        description: >-
                          The number of Flow Credits that this transaction will
                          use from the client's agreed Rhino.fi
                          PAYG/Subscription tier.
                      token:
                        type: string
                        description: >-
                          The asset being bridged, sent on the chainIn and
                          received on the chainOut.
                      usdPrice:
                        type: number
                        description: >-
                          The USD price of the token at the time the quote was
                          created.
                      _tag:
                        type: string
                        enum:
                          - bridge
                      depositTxHash:
                        type: string
                        description: >-
                          The transaction hash of the deposit made on the
                          chainIn.
                      depositCommittedAt:
                        type: string
                        description: >-
                          The datetime that the deposit transaction was
                          committed on the chainIn.
                      depositDiscoveredAt:
                        type: string
                        description: >-
                          The datetime that Rhino.fi first discovered the
                          deposit transaction on the chainIn.
                      depositConfirmedAt:
                        type: string
                        description: >-
                          The datetime that the deposit transaction reached the
                          required number of confirmations on the chainIn.
                      expectedDepositConfirmedAt:
                        type: string
                        description: >-
                          The datetime that the deposit transaction is expected
                          to reach the required number of confirmations on the
                          chainIn.
                      expectedDepositConfirmedAtBlock:
                        type: integer
                        description: >-
                          The block on the chainIn at which the deposit
                          transaction is expected to reach the required number
                          of confirmations.
                        title: int
                      preSwapTxHash:
                        type: string
                        description: >-
                          The transaction hash of the swap performed on the
                          chainIn before bridging.
                      preSwapCommittedAt:
                        type: string
                        description: >-
                          The datetime that the pre-bridge swap was committed on
                          the chainIn.
                      isConfirmed:
                        type: boolean
                        description: >-
                          Whether the deposit transaction has reached the
                          required number of confirmations on the chainIn.
                      withdrawTxHash:
                        type: string
                        description: >-
                          The transaction hash of the withdrawal of the tokens
                          to the recipient on the chainOut.
                      withdrawCommittedAt:
                        type: string
                        description: >-
                          The datetime that the withdrawal transaction was
                          committed on the chainOut.
                      state:
                        type: string
                        enum:
                          - EXECUTED
                    additionalProperties: false
                  - type: object
                    required:
                      - _tag
                      - _id
                      - userId
                      - chainIn
                      - chainOut
                      - amountIn
                      - amountInUsd
                      - amountOut
                      - amountOutUsd
                      - amountNative
                      - amountNativeUsd
                      - fee
                      - feeUsd
                      - gasFee
                      - gasFeeUsd
                      - platformFee
                      - platformFeeUsd
                      - percentageFee
                      - percentageFeeUsd
                      - sourceGasFee
                      - sourceGasFeeUsd
                      - sponsoredFees
                      - recipient
                      - depositor
                      - createdAt
                      - commitmentDate
                      - tokenIn
                      - tokenOut
                      - minAmountOut
                      - minAmountOutUsd
                      - usdPriceTokenIn
                      - usdPriceTokenOut
                      - depositTxHash
                      - depositCommittedAt
                      - withdrawTxHash
                      - withdrawCommittedAt
                      - state
                    properties:
                      _tag:
                        type: string
                        enum:
                          - bridgeSwap
                      _id:
                        type: string
                      userId:
                        type: string
                        description: The projectID that the transaction is associated with.
                      chainIn:
                        type: string
                        description: The blockchain that the tokens were bridged from.
                      chainOut:
                        type: string
                        description: The blockchain that the tokens were bridged to.
                      amountIn:
                        type: string
                        description: >-
                          The native value of the tokens that were sent on the
                          chainIn.
                      amountInUsd:
                        type: number
                        description: >-
                          The USD value of the tokens that were sent on the
                          chainIn.
                      amountOut:
                        type: string
                        description: >-
                          The native value of the tokens that were sent on the
                          chainOut.
                      amountOutUsd:
                        type: number
                        description: >-
                          The USD value of the tokens that were sent on the
                          chainOut.
                      amountNative:
                        anyOf:
                          - $ref: '#/components/schemas/BigDecimalFromString'
                          - type: 'null'
                        description: >-
                          The amount of native gas token (e.g. ETH, MATIC, BNB)
                          that was delivered to the user's wallet on the
                          destination chain as part of gas boost functionality,
                          where Rhino.fi delivers a small amount of native gas
                          token to the destination address, ensuring that
                          further transactions from this address can be made
                          immediately.
                      amountNativeUsd:
                        anyOf:
                          - $ref: '#/components/schemas/BigDecimalFromNumber'
                          - type: 'null'
                        description: The value, in USD, of amountNative.
                      fee:
                        type: string
                        description: >-
                          The total cost of the transaction as paid by the end
                          customer, denominated in the token.
                      feeUsd:
                        type: number
                        description: The total cost, in USD, of the transaction.
                      gasFee:
                        type: string
                        description: >-
                          Any chain specific costs charged to the end customer
                          for the chainOut part of the overall transaction.
                          Further information about which chains have these
                          associated costs can be found here:
                          https://learn.rhino.fi/articles/7749894324-tron-and-solana-onchain-gas-costs.
                          If these costs are being paid by the client then this
                          value will be zero and the gasFee and gasFeeUsd in the
                          sponsored fee body will be non-zero.
                      gasFeeUsd:
                        type: number
                        description: The gasFee value, in USD.
                      platformFee:
                        type: string
                        description: >-
                          The resulting fee charged from the $-based Client
                          Surcharge. This is applicable to both legacy and
                          PAYG/Subscription clients. For legacy clients this is
                          deducted from the tokens sent on the chainOut and will
                          be sent to the client at month end. For
                          PAYG/Subscription clients this will be rebated at
                          month end.
                      platformFeeUsd:
                        type: number
                        description: The platformFee value, in USD.
                      percentageFee:
                        type: string
                        description: >-
                          The resulting fee charged from the %-based Client
                          Surcharge. This is applicable to both legacy and
                          PAYG/Subscription clients. For legacy clients this is
                          deducted from the tokens sent on the chainOut and will
                          be sent to the client at month end. For
                          PAYG/Subscription clients this will be rebated at
                          month end.
                      percentageFeeUsd:
                        type: number
                        description: The percentageFee value, in USD.
                      sourceGasFee:
                        type: string
                        description: >-
                          The cost on the chainIn to sweep the received tokens
                          into Rhino.fi's control. For legacy clients this is
                          deducted from the tokens sent on the chainOut. For
                          PAYG/Subscription tier clients this is paid by
                          Rhino.fi as part of the PAYG/Subscription monthly cost
                          so no direct cost is passed onto the end customer,
                          unless configured this way. This is only relevant for
                          transactions involving a Rhino.fi Smart Deposit
                          Address; for bridging/swapping-only activity the
                          sourceGasFee will be paid directly by the customer
                          within their depositing transaction.
                      sourceGasFeeUsd:
                        type: number
                        description: The sourceGasFee value, in USD.
                      sponsoredFees:
                        type: object
                        required:
                          - fee
                          - feeUsd
                          - gasFee
                          - gasFeeUsd
                          - platformFee
                          - platformFeeUsd
                          - percentageFee
                          - percentageFeeUsd
                          - sourceGasFee
                          - sourceGasFeeUsd
                        properties:
                          fee:
                            type: string
                            description: The total cost of the transaction.
                          feeUsd:
                            type: number
                            description: The total cost of the transaction, in USD.
                          gasFee:
                            type: string
                            description: >-
                              Any chain specific costs charged to the client for
                              the chainOut part of the overall transaction.
                              Further information about which chains have these
                              associated costs can be found here:
                              https://learn.rhino.fi/articles/7749894324-tron-and-solana-onchain-gas-costs.
                              If these costs are being passed on to the end user
                              then this value will be zero and the gasFee and
                              gasFeeUsd in the main fee body will be non-zero.
                          gasFeeUsd:
                            type: number
                            description: The gasFee value, in USD.
                          platformFee:
                            type: string
                            description: >-
                              The value of any additional fee levied on top by
                              Rhino.fi and paid by the client. This is only
                              relevant for legacy clients.
                          platformFeeUsd:
                            type: number
                            description: The platformFee value, in USD.
                          percentageFee:
                            type: string
                            description: >-
                              Will be zero since this represents a charge levied
                              on the end customer by the client. To understand
                              the value charged to the end customer, the
                              percentageFee value from the main fee body should
                              be used. N.B. for PAYG/Subscription clients this
                              is now referred to as the "Client Surcharge".
                          percentageFeeUsd:
                            type: number
                            description: The percentageFee value, in USD.
                          sourceGasFee:
                            type: string
                            description: >-
                              The cost on the chainIn to sweep the received
                              tokens into Rhino.fi's control. For legacy clients
                              this is deducted from the tokens sent on the
                              chainOut. For PAYG/Subscription tier clients this
                              is paid by Rhino.fi as part of the
                              PAYG/Subscription monthly cost so no direct cost
                              is passed onto the client, unless configured to be
                              passed onto the end customer. This is only
                              relevant for transactions involving a Rhino.fi
                              Smart Deposit Address; for bridging/swapping-only
                              activity the sourceGasFee will be paid directly by
                              the customer within their depositing transaction.
                          sourceGasFeeUsd:
                            type: number
                            description: The sourceGasFee value, in USD.
                        additionalProperties: false
                        description: >-
                          For both legacy and PAYG/Subscription clients,
                          represents the fees that are paid by the client on
                          behalf of the end customer.
                      recipient:
                        type: string
                        description: >-
                          The address on the chainOut that received the bridged
                          tokens.
                      depositor:
                        type: string
                        description: >-
                          The address on the chainIn that sent the tokens for
                          bridging.
                      createdAt:
                        type: string
                        description: >-
                          The datetime that the bridging / bridging+swapping
                          quote was created.
                      commitmentDate:
                        type: string
                        description: >-
                          The datetime that the bridging / bridging+swapping
                          quote was committed with Rhino.fi.
                      speed:
                        type: string
                        enum:
                          - fast
                          - standard
                          - slow
                        description: >-
                          Provides information about whether the transaction is
                          expected to be completed "fast" (typically under 30
                          seconds), "standard" (typically under a minute) or
                          "slow" (can be up to 20 minutes). For more information
                          on our bridge processing speeds please read this
                          article on the Rhino.fi Knowledge Base:
                          https://learn.rhino.fi/articles/8257872655-bridge-speed.
                      estimatedDuration:
                        type: number
                        description: >-
                          The estimated time for the transaction to complete in
                          milliseconds.
                        title: nonNegative
                        minimum: 0
                      postBridgeData:
                        anyOf:
                          - $ref: '#/components/schemas/ExtendedPostBridgeData'
                          - $ref: >-
                              #/components/schemas/StarkwareBtcfiCampaignPostBridgeData
                          - $ref: '#/components/schemas/WirexWrapPostBridgeData'
                          - $ref: >-
                              #/components/schemas/WirexWrapSandboxPostBridgeData
                          - $ref: >-
                              #/components/schemas/StarkwareBtcfiCampaignV2PostBridgeData
                          - $ref: '#/components/schemas/AaveV3SupplyPostBridgeData'
                          - $ref: >-
                              #/components/schemas/RocketFoundationDepositPostBridgeData
                          - $ref: '#/components/schemas/MapleDepositPostBridgeData'
                          - $ref: '#/components/schemas/EtherfiDepositPostBridgeData'
                        description: >-
                          Custom Routing Rules as configured by Rhino.fi for a
                          specific client, e.g. to move funds after the initial
                          bridge into a yield bearing vault. To understand more
                          about how Routing Rules can help automate onchain
                          actions and ensure that your funds land in an active
                          state, please contact your Rhino.fi Customer Success
                          Manager or speak to a member of the Rhino.fi sales
                          team.
                      flowCredits:
                        type: number
                        description: >-
                          The number of Flow Credits that this transaction will
                          use from the client's agreed Rhino.fi
                          PAYG/Subscription tier.
                      tokenIn:
                        type: string
                        description: The asset that was sent on the chainIn.
                      tokenOut:
                        type: string
                        description: The asset that was received on the chainOut.
                      minAmountOut:
                        type: string
                        description: >-
                          The minimum native value of tokenOut guaranteed to be
                          received on the chainOut, after slippage.
                      minAmountOutUsd:
                        type: number
                        description: The USD value of the minAmountOut.
                      usdPriceTokenIn:
                        type: number
                        description: >-
                          The USD price of the tokenIn at the time the quote was
                          created.
                      usdPriceTokenOut:
                        type: number
                        description: >-
                          The USD price of the tokenOut at the time the quote
                          was created.
                      preSwap:
                        $ref: '#/components/schemas/SwapQuote'
                      postSwap:
                        $ref: '#/components/schemas/SwapQuote'
                      mode:
                        type: string
                        enum:
                          - pay
                          - receive
                        description: >-
                          Whether the amount represented the sending ("pay") or
                          receiving ("receive") amount when the quote was
                          generated.
                      isAtomicSwap:
                        type: boolean
                        description: >-
                          Whether the transaction was executed as an atomic
                          swap.
                      swapFeeMultiplier:
                        type: string
                        description: >-
                          The multiplier applied to the swap fee for this
                          transaction.
                      depositTxHash:
                        type: string
                        description: >-
                          The transaction hash of the deposit made on the
                          chainIn.
                      depositCommittedAt:
                        type: string
                        description: >-
                          The datetime that the deposit transaction was
                          committed on the chainIn.
                      depositDiscoveredAt:
                        type: string
                        description: >-
                          The datetime that Rhino.fi first discovered the
                          deposit transaction on the chainIn.
                      depositConfirmedAt:
                        type: string
                        description: >-
                          The datetime that the deposit transaction reached the
                          required number of confirmations on the chainIn.
                      expectedDepositConfirmedAt:
                        type: string
                        description: >-
                          The datetime that the deposit transaction is expected
                          to reach the required number of confirmations on the
                          chainIn.
                      expectedDepositConfirmedAtBlock:
                        type: integer
                        description: >-
                          The block on the chainIn at which the deposit
                          transaction is expected to reach the required number
                          of confirmations.
                        title: int
                      preSwapTxHash:
                        type: string
                        description: >-
                          The transaction hash of the swap performed on the
                          chainIn before bridging.
                      preSwapCommittedAt:
                        type: string
                        description: >-
                          The datetime that the pre-bridge swap was committed on
                          the chainIn.
                      isConfirmed:
                        type: boolean
                        description: >-
                          Whether the deposit transaction has reached the
                          required number of confirmations on the chainIn.
                      withdrawTxHash:
                        type: string
                        description: >-
                          The transaction hash of the withdrawal of the tokens
                          to the recipient on the chainOut.
                      withdrawCommittedAt:
                        type: string
                        description: >-
                          The datetime that the withdrawal transaction was
                          committed on the chainOut.
                      state:
                        type: string
                        enum:
                          - EXECUTED
                    additionalProperties: false
                  - type: object
                    required:
                      - _tag
                      - _id
                      - userId
                      - chainIn
                      - chainOut
                      - amountIn
                      - amountInUsd
                      - amountOut
                      - amountOutUsd
                      - amountNative
                      - amountNativeUsd
                      - fee
                      - feeUsd
                      - gasFee
                      - gasFeeUsd
                      - platformFee
                      - platformFeeUsd
                      - percentageFee
                      - percentageFeeUsd
                      - sourceGasFee
                      - sourceGasFeeUsd
                      - sponsoredFees
                      - recipient
                      - depositor
                      - createdAt
                      - commitmentDate
                      - token
                      - usdPrice
                      - depositAddress
                      - depositTxHash
                      - depositCommittedAt
                      - withdrawTxHash
                      - withdrawCommittedAt
                      - state
                    properties:
                      _tag:
                        type: string
                        enum:
                          - depositAddressBridge
                      _id:
                        type: string
                      userId:
                        type: string
                        description: The projectID that the transaction is associated with.
                      chainIn:
                        type: string
                        description: The blockchain that the tokens were bridged from.
                      chainOut:
                        type: string
                        description: The blockchain that the tokens were bridged to.
                      amountIn:
                        type: string
                        description: >-
                          The native value of the tokens that were sent on the
                          chainIn.
                      amountInUsd:
                        type: number
                        description: >-
                          The USD value of the tokens that were sent on the
                          chainIn.
                      amountOut:
                        type: string
                        description: >-
                          The native value of the tokens that were sent on the
                          chainOut.
                      amountOutUsd:
                        type: number
                        description: >-
                          The USD value of the tokens that were sent on the
                          chainOut.
                      amountNative:
                        anyOf:
                          - $ref: '#/components/schemas/BigDecimalFromString'
                          - type: 'null'
                        description: >-
                          The amount of native gas token (e.g. ETH, MATIC, BNB)
                          that was delivered to the user's wallet on the
                          destination chain as part of gas boost functionality,
                          where Rhino.fi delivers a small amount of native gas
                          token to the destination address, ensuring that
                          further transactions from this address can be made
                          immediately.
                      amountNativeUsd:
                        anyOf:
                          - $ref: '#/components/schemas/BigDecimalFromNumber'
                          - type: 'null'
                        description: The value, in USD, of amountNative.
                      fee:
                        type: string
                        description: >-
                          The total cost of the transaction as paid by the end
                          customer, denominated in the token.
                      feeUsd:
                        type: number
                        description: The total cost, in USD, of the transaction.
                      gasFee:
                        type: string
                        description: >-
                          Any chain specific costs charged to the end customer
                          for the chainOut part of the overall transaction.
                          Further information about which chains have these
                          associated costs can be found here:
                          https://learn.rhino.fi/articles/7749894324-tron-and-solana-onchain-gas-costs.
                          If these costs are being paid by the client then this
                          value will be zero and the gasFee and gasFeeUsd in the
                          sponsored fee body will be non-zero.
                      gasFeeUsd:
                        type: number
                        description: The gasFee value, in USD.
                      platformFee:
                        type: string
                        description: >-
                          The resulting fee charged from the $-based Client
                          Surcharge. This is applicable to both legacy and
                          PAYG/Subscription clients. For legacy clients this is
                          deducted from the tokens sent on the chainOut and will
                          be sent to the client at month end. For
                          PAYG/Subscription clients this will be rebated at
                          month end.
                      platformFeeUsd:
                        type: number
                        description: The platformFee value, in USD.
                      percentageFee:
                        type: string
                        description: >-
                          The resulting fee charged from the %-based Client
                          Surcharge. This is applicable to both legacy and
                          PAYG/Subscription clients. For legacy clients this is
                          deducted from the tokens sent on the chainOut and will
                          be sent to the client at month end. For
                          PAYG/Subscription clients this will be rebated at
                          month end.
                      percentageFeeUsd:
                        type: number
                        description: The percentageFee value, in USD.
                      sourceGasFee:
                        type: string
                        description: >-
                          The cost on the chainIn to sweep the received tokens
                          into Rhino.fi's control. For legacy clients this is
                          deducted from the tokens sent on the chainOut. For
                          PAYG/Subscription tier clients this is paid by
                          Rhino.fi as part of the PAYG/Subscription monthly cost
                          so no direct cost is passed onto the end customer,
                          unless configured this way. This is only relevant for
                          transactions involving a Rhino.fi Smart Deposit
                          Address; for bridging/swapping-only activity the
                          sourceGasFee will be paid directly by the customer
                          within their depositing transaction.
                      sourceGasFeeUsd:
                        type: number
                        description: The sourceGasFee value, in USD.
                      sponsoredFees:
                        type: object
                        required:
                          - fee
                          - feeUsd
                          - gasFee
                          - gasFeeUsd
                          - platformFee
                          - platformFeeUsd
                          - percentageFee
                          - percentageFeeUsd
                          - sourceGasFee
                          - sourceGasFeeUsd
                        properties:
                          fee:
                            type: string
                            description: The total cost of the transaction.
                          feeUsd:
                            type: number
                            description: The total cost of the transaction, in USD.
                          gasFee:
                            type: string
                            description: >-
                              Any chain specific costs charged to the client for
                              the chainOut part of the overall transaction.
                              Further information about which chains have these
                              associated costs can be found here:
                              https://learn.rhino.fi/articles/7749894324-tron-and-solana-onchain-gas-costs.
                              If these costs are being passed on to the end user
                              then this value will be zero and the gasFee and
                              gasFeeUsd in the main fee body will be non-zero.
                          gasFeeUsd:
                            type: number
                            description: The gasFee value, in USD.
                          platformFee:
                            type: string
                            description: >-
                              The value of any additional fee levied on top by
                              Rhino.fi and paid by the client. This is only
                              relevant for legacy clients.
                          platformFeeUsd:
                            type: number
                            description: The platformFee value, in USD.
                          percentageFee:
                            type: string
                            description: >-
                              Will be zero since this represents a charge levied
                              on the end customer by the client. To understand
                              the value charged to the end customer, the
                              percentageFee value from the main fee body should
                              be used. N.B. for PAYG/Subscription clients this
                              is now referred to as the "Client Surcharge".
                          percentageFeeUsd:
                            type: number
                            description: The percentageFee value, in USD.
                          sourceGasFee:
                            type: string
                            description: >-
                              The cost on the chainIn to sweep the received
                              tokens into Rhino.fi's control. For legacy clients
                              this is deducted from the tokens sent on the
                              chainOut. For PAYG/Subscription tier clients this
                              is paid by Rhino.fi as part of the
                              PAYG/Subscription monthly cost so no direct cost
                              is passed onto the client, unless configured to be
                              passed onto the end customer. This is only
                              relevant for transactions involving a Rhino.fi
                              Smart Deposit Address; for bridging/swapping-only
                              activity the sourceGasFee will be paid directly by
                              the customer within their depositing transaction.
                          sourceGasFeeUsd:
                            type: number
                            description: The sourceGasFee value, in USD.
                        additionalProperties: false
                        description: >-
                          For both legacy and PAYG/Subscription clients,
                          represents the fees that are paid by the client on
                          behalf of the end customer.
                      recipient:
                        type: string
                        description: >-
                          The address on the chainOut that received the bridged
                          tokens.
                      depositor:
                        type: string
                        description: >-
                          The address on the chainIn that sent the tokens for
                          bridging.
                      createdAt:
                        type: string
                        description: >-
                          The datetime that the bridging / bridging+swapping
                          quote was created.
                      commitmentDate:
                        type: string
                        description: >-
                          The datetime that the bridging / bridging+swapping
                          quote was committed with Rhino.fi.
                      speed:
                        type: string
                        enum:
                          - fast
                          - standard
                          - slow
                        description: >-
                          Provides information about whether the transaction is
                          expected to be completed "fast" (typically under 30
                          seconds), "standard" (typically under a minute) or
                          "slow" (can be up to 20 minutes). For more information
                          on our bridge processing speeds please read this
                          article on the Rhino.fi Knowledge Base:
                          https://learn.rhino.fi/articles/8257872655-bridge-speed.
                      estimatedDuration:
                        type: number
                        description: >-
                          The estimated time for the transaction to complete in
                          milliseconds.
                        title: nonNegative
                        minimum: 0
                      postBridgeData:
                        anyOf:
                          - $ref: '#/components/schemas/ExtendedPostBridgeData'
                          - $ref: >-
                              #/components/schemas/StarkwareBtcfiCampaignPostBridgeData
                          - $ref: '#/components/schemas/WirexWrapPostBridgeData'
                          - $ref: >-
                              #/components/schemas/WirexWrapSandboxPostBridgeData
                          - $ref: >-
                              #/components/schemas/StarkwareBtcfiCampaignV2PostBridgeData
                          - $ref: '#/components/schemas/AaveV3SupplyPostBridgeData'
                          - $ref: >-
                              #/components/schemas/RocketFoundationDepositPostBridgeData
                          - $ref: '#/components/schemas/MapleDepositPostBridgeData'
                          - $ref: '#/components/schemas/EtherfiDepositPostBridgeData'
                        description: >-
                          Custom Routing Rules as configured by Rhino.fi for a
                          specific client, e.g. to move funds after the initial
                          bridge into a yield bearing vault. To understand more
                          about how Routing Rules can help automate onchain
                          actions and ensure that your funds land in an active
                          state, please contact your Rhino.fi Customer Success
                          Manager or speak to a member of the Rhino.fi sales
                          team.
                      flowCredits:
                        type: number
                        description: >-
                          The number of Flow Credits that this transaction will
                          use from the client's agreed Rhino.fi
                          PAYG/Subscription tier.
                      token:
                        type: string
                        description: >-
                          The asset deposited into the Smart Deposit Address on
                          the chainIn. Where the deposit address performs a
                          swap, the asset received on the chainOut may differ.
                      tokenOut:
                        type: string
                        description: >-
                          The asset received on the chainOut where the deposit
                          address performs a swap.
                      usdPrice:
                        type: number
                        description: >-
                          The USD price of the token at the time the quote was
                          created.
                      depositAddress:
                        type: string
                        description: >-
                          The Rhino.fi Smart Deposit Address that the tokens
                          were deposited to.
                      preSwap:
                        $ref: '#/components/schemas/SwapQuote'
                      postSwap:
                        $ref: '#/components/schemas/SwapQuote'
                      depositTxHash:
                        type: string
                        description: >-
                          The transaction hash of the deposit made on the
                          chainIn.
                      depositCommittedAt:
                        type: string
                        description: >-
                          The datetime that the deposit transaction was
                          committed on the chainIn.
                      depositDiscoveredAt:
                        type: string
                        description: >-
                          The datetime that Rhino.fi first discovered the
                          deposit transaction on the chainIn.
                      depositConfirmedAt:
                        type: string
                        description: >-
                          The datetime that the deposit transaction reached the
                          required number of confirmations on the chainIn.
                      expectedDepositConfirmedAt:
                        type: string
                        description: >-
                          The datetime that the deposit transaction is expected
                          to reach the required number of confirmations on the
                          chainIn.
                      expectedDepositConfirmedAtBlock:
                        type: integer
                        description: >-
                          The block on the chainIn at which the deposit
                          transaction is expected to reach the required number
                          of confirmations.
                        title: int
                      preSwapTxHash:
                        type: string
                        description: >-
                          The transaction hash of the swap performed on the
                          chainIn before bridging.
                      preSwapCommittedAt:
                        type: string
                        description: >-
                          The datetime that the pre-bridge swap was committed on
                          the chainIn.
                      isConfirmed:
                        type: boolean
                        description: >-
                          Whether the deposit transaction has reached the
                          required number of confirmations on the chainIn.
                      withdrawTxHash:
                        type: string
                        description: >-
                          The transaction hash of the withdrawal of the tokens
                          to the recipient on the chainOut.
                      withdrawCommittedAt:
                        type: string
                        description: >-
                          The datetime that the withdrawal transaction was
                          committed on the chainOut.
                      state:
                        type: string
                        enum:
                          - EXECUTED
                    additionalProperties: false
        '400':
          description: The request did not match the expected schema
          content:
            application/json:
              schema:
                anyOf:
                  - $ref: '#/components/schemas/HttpApiDecodeError'
                  - $ref: '#/components/schemas/InvalidJwt'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Unauthorized'
        '422':
          description: InvalidRequest
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/InvalidRequest'
      security:
        - bearer: []
        - legacyApiKey: []
components:
  schemas:
    BigDecimalFromString:
      type: string
      description: a string to be decoded into a BigDecimal
    BigDecimalFromNumber:
      type: number
      description: a number to be decoded into a BigDecimal
    ExtendedPostBridgeData:
      type: object
      required:
        - _tag
        - vaultId
      properties:
        _tag:
          type: string
          enum:
            - extended
        vaultId:
          $ref: '#/components/schemas/NonNegative'
          description: A variable relating to the specific post bridge action.
          title: int
          type: integer
      additionalProperties: false
    StarkwareBtcfiCampaignPostBridgeData:
      type: object
      required:
        - _tag
      properties:
        _tag:
          type: string
          enum:
            - starkwarebtcfi
      additionalProperties: false
    WirexWrapPostBridgeData:
      type: object
      required:
        - _tag
      properties:
        _tag:
          type: string
          enum:
            - wirexwrap
      additionalProperties: false
    WirexWrapSandboxPostBridgeData:
      type: object
      required:
        - _tag
      properties:
        _tag:
          type: string
          enum:
            - wirexwrapsandbox
      additionalProperties: false
    StarkwareBtcfiCampaignV2PostBridgeData:
      type: object
      required:
        - _tag
        - spans
      properties:
        _tag:
          type: string
          enum:
            - starkwarebtcfiv2
        spans:
          type: array
          items:
            $ref: '#/components/schemas/StarknetFelt'
          description: A variable relating to the specific post bridge action.
          title: maxItems(70)
          maxItems: 70
      additionalProperties: false
    AaveV3SupplyPostBridgeData:
      type: object
      required:
        - _tag
      properties:
        _tag:
          type: string
          enum:
            - aavev3supply
      additionalProperties: false
    RocketFoundationDepositPostBridgeData:
      type: object
      required:
        - _tag
      properties:
        _tag:
          type: string
          enum:
            - rocketfoundationdeposit
      additionalProperties: false
    MapleDepositPostBridgeData:
      type: object
      required:
        - _tag
      properties:
        _tag:
          type: string
          enum:
            - mapledeposit
      additionalProperties: false
    EtherfiDepositPostBridgeData:
      type: object
      required:
        - _tag
      properties:
        _tag:
          type: string
          enum:
            - etherfideposit
      additionalProperties: false
    SwapQuote:
      type: object
      required:
        - tokenIn
        - tokenOut
        - amountIn
        - amountInUsd
        - amountOut
        - amountOutUsd
        - minAmountOut
        - minAmountOutUsd
        - aggregator
      properties:
        tokenIn:
          type: string
          description: The asset that was swapped from.
        tokenOut:
          type: string
          description: The asset that was swapped to.
        amountIn:
          type: string
          description: The native value of the tokens that were swapped from.
        amountInUsd:
          type: number
          description: The USD value of the tokens that were swapped from.
        amountOut:
          type: string
          description: The native value of the tokens that were received from the swap.
        amountOutUsd:
          type: number
          description: The USD value of the tokens that were received from the swap.
        minAmountOut:
          type: string
          description: >-
            The minimum native value of tokens guaranteed to be received from
            the swap, after slippage.
        minAmountOutUsd:
          type: number
          description: The USD value of the minAmountOut.
        aggregator:
          $comment: /schemas/enums
          anyOf:
            - type: string
              title: KYBERSWAP
              enum:
                - KYBERSWAP
            - type: string
              title: RHINO
              enum:
                - RHINO
            - type: string
              title: ONEINCH
              enum:
                - ONEINCH
            - type: string
              title: BEBOP
              enum:
                - BEBOP
          description: The swap aggregator used to execute the swap.
      additionalProperties: false
      description: >-
        Details of the swap performed on the chainIn before bridging, where one
        was required.
    HttpApiDecodeError:
      type: object
      required:
        - issues
        - message
        - _tag
      properties:
        issues:
          type: array
          items:
            $ref: '#/components/schemas/Issue'
        message:
          type: string
        _tag:
          type: string
          enum:
            - HttpApiDecodeError
      additionalProperties: false
      description: The request did not match the expected schema
    InvalidJwt:
      type: object
      required:
        - message
        - _tag
      properties:
        message:
          type: string
        _tag:
          type: string
          enum:
            - InvalidJwt
      additionalProperties: false
    Unauthorized:
      type: object
      required:
        - message
        - _tag
      properties:
        message:
          type: string
        _tag:
          type: string
          enum:
            - Unauthorized
      additionalProperties: false
    InvalidRequest:
      type: object
      required:
        - message
        - _tag
      properties:
        message:
          type: string
        _tag:
          type: string
          enum:
            - InvalidRequest
      additionalProperties: false
    NonNegative:
      type: number
      description: a non-negative number
      title: nonNegative
      minimum: 0
    StarknetFelt:
      type: string
      description: a string that will be trimmed
    Issue:
      type: object
      required:
        - _tag
        - path
        - message
      properties:
        _tag:
          type: string
          enum:
            - Pointer
            - Unexpected
            - Missing
            - Composite
            - Refinement
            - Transformation
            - Type
            - Forbidden
          description: The tag identifying the type of parse issue
        path:
          type: array
          items:
            $ref: '#/components/schemas/PropertyKey'
          description: The path to the property where the issue occurred
        message:
          type: string
          description: A descriptive message explaining the issue
      additionalProperties: false
      description: >-
        Represents an error encountered while parsing a value to match the
        schema
    PropertyKey:
      anyOf:
        - type: string
        - type: number
        - type: object
          required:
            - _tag
            - key
          properties:
            _tag:
              type: string
              enum:
                - symbol
            key:
              type: string
          additionalProperties: false
          description: an object to be decoded into a globally shared symbol
  securitySchemes:
    bearer:
      description: JWT token for authentication
      type: http
      scheme: bearer
    legacyApiKey:
      type: apiKey
      name: authorization
      in: header

````